org.apache.tomcat.websocket.server

## Class Constants

- java.lang.Object
- - org.apache.tomcat.websocket.server.Constants

    public class Constants
    extends Object

Internal implementation constants.

### Field Summary

Fields
`static String` `BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM`
`static String` `ENFORCE_NO_ADD_AFTER_HANDSHAKE_CONTEXT_INIT_PARAM`
`static String` `EXECUTOR_CORE_SIZE_INIT_PARAM`
`static String` `EXECUTOR_KEEPALIVETIME_SECONDS_INIT_PARAM`
`static String` `EXECUTOR_MAX_SIZE_INIT_PARAM`
`protected static String` `PACKAGE_NAME`
`static String` `SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE`
`static String` `TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PACKAGE_NAME

    protected static final String PACKAGE_NAME

#### BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

    public static final String BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

See Also:
  Constant Field Values

#### TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

    public static final String TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

See Also:
  Constant Field Values

#### ENFORCE_NO_ADD_AFTER_HANDSHAKE_CONTEXT_INIT_PARAM

    public static final String ENFORCE_NO_ADD_AFTER_HANDSHAKE_CONTEXT_INIT_PARAM

See Also:
  Constant Field Values

#### EXECUTOR_CORE_SIZE_INIT_PARAM

    public static final String EXECUTOR_CORE_SIZE_INIT_PARAM

See Also:
  Constant Field Values

#### EXECUTOR_MAX_SIZE_INIT_PARAM

    public static final String EXECUTOR_MAX_SIZE_INIT_PARAM

See Also:
  Constant Field Values

#### EXECUTOR_KEEPALIVETIME_SECONDS_INIT_PARAM

    public static final String EXECUTOR_KEEPALIVETIME_SECONDS_INIT_PARAM

See Also:
  Constant Field Values

#### SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE

    public static final String SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE

See Also:
  Constant Field Values